Name:		iodine
Version:	0.8.0
Release:    1%{?dist}
Summary:	Solution to tunnel IPv4 data through a DNS server
Summary(ru):	Решение для туннелирования IPv4 трафика через DNS сервер
License:	ISC
URL:		http://code.kryo.se/iodine/
Source0:	https://github.com/yarrick/%{name}/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz
Source1:	%{name}-client.conf
Source2:	%{name}-server.conf

Source5:	%{name}.logrotate.client
Source6:	%{name}.logrotate.server

Source7:	%{name}-client.service
Source8:	%{name}-server.service

Patch1:		iodine-0.8.0-split-man.patch

BuildRequires:	make
BuildRequires:	gcc
BuildRequires:	zlib-devel
BuildRequires:	systemd

Requires:	%{name}-client
Requires:	%{name}-server

%description
iodine lets you tunnel IPv4 data through a DNS server. This can be usable in
different situations where internet access is firewalled, but DNS queries are
allowed.

It runs on Linux, Mac OS X, FreeBSD, NetBSD, OpenBSD and Windows and needs a
TUN/TAP device. The bandwidth is asymmetrical with limited upstream and up to
1 Mbit/s downstream.

This is meta-package to install both client and server.
It also contain three documantation files: CHANGELOG, README, TODO.

%description -l ru
iodine предоставляет возможность пробросить IPv4 туннель сквозь DNS сервер.
Это может быть очень полезно в разных ситуациях, когда доступ в интернет
запрещён фаерволом, но DNS запросы пропускаются нормально.

Iodine работает на Linux, Mac OS X, FreeBSD, NetBSD, OpenBSD и Windows и
использует TUN/TAP устройство. Пропускная способность асимметрична - аплоад не
быстр, скачивание до 1 Mbit/s.

Это мета-пакет для инсталляции обоих пакетов, клиента и сервера.
Он также содержит 3 файла документации: CHANGELOG, README, TODO.

%package client
Summary:	Client part of solution to tunnel IPv4 data through a DNS server
Summary(ru):	Клиент для туннелирования IPv4 трафика через DNS сервер
%{?systemd_requires}
Provides:	bundled(md5-deutsch)

%description client
This is the client part of iodine.

%description client -l ru
Это пакет клиентской части.

%package server
Summary:	Server part of solution to tunnel IPv4 data through a DNS server
Summary(ru):	Сервер для туннелирования IPv4 трафика через DNS сервер
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd
Requires(post):	systemd-sysv
Requires:	net-tools
Provides:	bundled(md5-deutsch)

%description server
This is the server part of iodine.

%description server -l ru
Это пакет серверной части

%prep
%setup -q -n %{name}-%{version}%{?prerel}
%patch1 -p1 -b .split-man

%build
make %{?_smp_mflags} prefix=%{_prefix} CFLAGS="-c %{optflags} -DLINUX -D_GNU_SOURCE"

%install
make install prefix=%{buildroot}%{_prefix}

install -Dp -m 0644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/sysconfig/%{name}-client
install -Dp -m 0644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/sysconfig/%{name}-server

install -Dp -m 0644 %{SOURCE5} %{buildroot}/%{_sysconfdir}/logrotate.d/%{name}-client
install -Dp -m 0644 %{SOURCE6} %{buildroot}/%{_sysconfdir}/logrotate.d/%{name}-server

install -Dp -m 0644 %{SOURCE7} %{buildroot}/%{_unitdir}/%{name}-client.service
install -Dp -m 0644 %{SOURCE8} %{buildroot}/%{_unitdir}/%{name}-server.service

%post client
%systemd_post %{name}-client.service

%preun client
%systemd_preun %{name}-client.service

%postun client
%systemd_postun_with_restart %{name}-client.service

%post server
%systemd_post %{name}-server.service

%preun server
%systemd_preun %{name}-server.service

%postun server
%systemd_postun_with_restart %{name}-server.service

%files
%doc CHANGELOG LICENSE README.md

%files client
%{_sbindir}/%{name}
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/%{name}-client
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}-client
%{_mandir}/man8/%{name}.8.gz
%{_unitdir}/%{name}-client.service

%files server
%{_sbindir}/%{name}d
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/%{name}-server
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}-server
%{_mandir}/man8/%{name}d.8.gz
%{_unitdir}/%{name}-server.service

%changelog
* Tue Nov 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.0-1
- initial build
